stages:
  - build
  - webhook

variables:
  DOCKER_BUILDKIT: 1
  DOCKER_TLS_CERTDIR: ""

services:
  - docker:20.10-dind

build-image:on-change:
  only:
    changes:
      - latest/Dockerfile
  except:
    refs:
      - schedules
  image: docker:20.10
  stage: build
  script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
    - docker build -t registry.gitlab.com/nayls.cloud/mirra-idet-na-xer:latest -f ./latest/Dockerfile ./latest
    - docker push registry.gitlab.com/nayls.cloud/mirra-idet-na-xer:latest

build-job:on-schedule:
  only:
    refs:
      - schedules
  image: registry.gitlab.com/nayls.cloud/mirra-idet-na-xer:latest
  stage: webhook
  script:
    - bash naxer.sh
